CentOS 7:nspr / nss / nss-softokn / nss-util (CESA-2016:0685)

high Nessus 插件 ID 90722
全新!插件严重性现在使用 CVSS v3

计算的插件严重性默认已更新为使用 CVSS v3。没有 CVSS v3 分数的插件将回退到 CVSS v2 来计算严重性。可以在设置下拉列表中切换严重性显示首选项。

简介

远程 CentOS 主机缺少一个或多个安全更新。

描述

现已提供适用于 Red Hat Enterprise Linux 7 的 nss、nspr、nss-softokn 和 nss-util 更新。

Red Hat 产品安全团队将此更新评级为具有中等安全影响。可从“参考”部分中的 CVE 链接获取通用漏洞评分系统 (CVSS) 基本分数,其针对每个漏洞给出了详细的严重性等级。

网络安全服务 (NSS) 是一组库,专用于支持启用了安全性的客户端和服务器应用程序的跨平台开发。Nss-util 程序包提供了可用于 Network Security Services (NSS) 库的实用工具。Netscape Portable Runtime (NSPR) 为非 GUI 操作系统设施提供平台独立性。

下列程序包已升级到更新的上游版本:
nss (3.21.0)、nss-util (3.21.0)、nspr (4.11.0)。(BZ#1310581、BZ#1303021、BZ# 1299872)

安全补丁:

* NSS 处理 DHE(Diffie- Hellman 密钥交换)和 ECDHE(椭圆曲线 Diffie-Hellman 密钥交换)握手消息的方式中发现一个释放后使用缺陷。远程攻击者可发送特别构建的握手消息,在由与 NSS 相链接的应用程序解析时,会造成该应用程序崩溃,或在某些特殊情况下,会利用运行该应用程序的用户权限执行任意代码。
(CVE-2016-1978)

* 在 NSS 处理某些 DER (Distinguished Encoding Rules) 编码的加密密钥的方式中发现一个释放后使用缺陷。攻击者可利用此缺陷创建特别构建的 DER 编码证书,当以 NSS 库编译的应用程序解析时,可造成该应用程序崩溃,或以运行该应用程序的用户权限来执行任意代码。(CVE-2016-1979)

Red Hat 在此感谢 Mozilla 项目报告这些问题。上游感谢 CVE-2016-1978 的原始报告者 Eric Rescorla 以及 CVE-2016-1979 的原始报告者 Tim Taubert。

缺陷补丁:

* 更新后的 nss-softokn 程序包与 NSS 3.21 兼容。(BZ#1326221)

解决方案

更新受影响的程序包。

另见

http://www.nessus.org/u?2448ec93

http://www.nessus.org/u?a975e285

http://www.nessus.org/u?88e84fb1

http://www.nessus.org/u?10fd683b

插件详情

严重性: High

ID: 90722

文件名: centos_RHSA-2016-0685.nasl

版本: 2.12

类型: local

代理: unix

发布时间: 2016/4/27

最近更新时间: 2021/1/4

依存关系: ssh_get_info.nasl

风险信息

CVSS 分数来源: CVE-2016-1978

VPR

风险因素: Medium

分数: 5.9

CVSS v2

风险因素: High

基本分数: 7.5

时间分数: 5.5

矢量: AV:N/AC:L/Au:N/C:P/I:P/A:P

时间矢量: E:U/RL:OF/RC:C

CVSS v3

风险因素: High

基本分数: 8.8

时间分数: 7.7

矢量: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

时间矢量: E:U/RL:O/RC:C

漏洞信息

CPE: p-cpe:/a:centos:centos:nspr, p-cpe:/a:centos:centos:nspr-devel, p-cpe:/a:centos:centos:nss, p-cpe:/a:centos:centos:nss-devel, p-cpe:/a:centos:centos:nss-pkcs11-devel, p-cpe:/a:centos:centos:nss-softokn, p-cpe:/a:centos:centos:nss-softokn-devel, p-cpe:/a:centos:centos:nss-softokn-freebl, p-cpe:/a:centos:centos:nss-softokn-freebl-devel, p-cpe:/a:centos:centos:nss-sysinit, p-cpe:/a:centos:centos:nss-tools, p-cpe:/a:centos:centos:nss-util, p-cpe:/a:centos:centos:nss-util-devel, cpe:/o:centos:centos:7

必需的 KB 项: Host/local_checks_enabled, Host/CentOS/release, Host/CentOS/rpm-list

易利用性: No known exploits are available

补丁发布日期: 2016/4/25

漏洞发布日期: 2016/3/13

参考资料信息

CVE: CVE-2016-1978, CVE-2016-1979

RHSA: 2016:0685